Package org.apache.lucene.queryparser.flexible.standard.builders

# Class MinShouldMatchNodeBuilder

java.lang.Object
org.apache.lucene.queryparser.flexible.standard.builders.MinShouldMatchNodeBuilder

All Implemented Interfaces:
  `QueryBuilder`

public class MinShouldMatchNodeBuilder extends Object implements QueryBuilder
Builds a `BooleanQuery` from a `MinShouldMatchNode`.

## Constructor Summary

Constructors
Constructor
Description
`MinShouldMatchNodeBuilder()`

## Method Summary

Modifier and Type
Method
Description
`Query`
`build(QueryNode queryNode)`
Builds some kind of object from a query tree.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MinShouldMatchNodeBuilder

public MinShouldMatchNodeBuilder()

## Method Details

### build

public Query build(QueryNode queryNode)
Description copied from interface: `QueryBuilder`
Builds some kind of object from a query tree.

Specified by:
  `build` in interface `QueryBuilder`
Parameters:
  `queryNode` - the query tree root node
Returns:
  some object generated from the query tree